org.richfaces.renderkit.html

## Class TableIconsRendererHelper<T extends javax.faces.component.UIComponent>

- java.lang.Object
- - org.richfaces.renderkit.html.TableIconsRendererHelper<T>

-     public abstract class TableIconsRendererHelper<T extends javax.faces.component.UIComponent>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `cssClassPrefix`
    `protected String` | `cssIconsClassPrefix`
    `protected String` | `text`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TableIconsRendererHelper(String text, String cssClassPrefix)`
    `protected` | `TableIconsRendererHelper(String text, String cssClassPrefix, String cssIconsClassPrefix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `encodeDivIcon(javax.faces.context.ResponseWriter writer, org.richfaces.renderkit.util.PanelIcons icon, String styleClass, org.richfaces.renderkit.util.PanelIcons.State state)`
    `void` | `encodeHeader(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
    `protected abstract void` | `encodeHeaderLeftIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
    `protected abstract void` | `encodeHeaderRightIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T menuItem)`
    `protected void` | `encodeHeaderText(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
    `protected void` | `encodeHeaderTextValue(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, T component)`
    `protected void` | `encodeIdIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String attrIconValue, String styleClass, org.richfaces.renderkit.util.PanelIcons.State state)`
    `static void` | `encodeImage(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String attrIconValue, String styleClass)`
    `protected void` | `encodeTdIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String cssClass, String attrIconCollapsedValue, String attrIconExpandedValue, org.richfaces.renderkit.util.PanelIcons.State state)`
    `protected boolean` | `isIconRendered(String attrIconValue)`
    `static void` | `writeFacetOrAttr(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String attr, String facetName)`
    `static void` | `writeFacetOrAttr(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String attr, javax.faces.component.UIComponent headerFacet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### text

          protected final String text

    - #### cssClassPrefix

          protected final String cssClassPrefix

    - #### cssIconsClassPrefix

          protected final String cssIconsClassPrefix

  - ### Constructor Detail

    - #### TableIconsRendererHelper

          protected TableIconsRendererHelper(String text,
                                  String cssClassPrefix,
                                  String cssIconsClassPrefix)

    - #### TableIconsRendererHelper

          protected TableIconsRendererHelper(String text,
                                  String cssClassPrefix)

  - ### Method Detail

    - #### encodeHeader

          public void encodeHeader(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext context,
                          T component)
                            throws IOException

      Throws:
        `IOException`

    - #### encodeHeaderText

          protected void encodeHeaderText(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              T component)
                                   throws IOException

      Throws:
        `IOException`

    - #### encodeHeaderTextValue

          protected void encodeHeaderTextValue(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   T component)
                                        throws IOException

      Throws:
        `IOException`

    - #### writeFacetOrAttr

          public static void writeFacetOrAttr(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String attr,
                              String facetName)
                                       throws IOException

      Throws:
        `IOException`

    - #### writeFacetOrAttr

          public static void writeFacetOrAttr(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String attr,
                              javax.faces.component.UIComponent headerFacet)
                                       throws IOException

      Throws:
        `IOException`

    - #### encodeHeaderLeftIcon

          protected abstract void encodeHeaderLeftIcon(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext context,
                                  T component)
                                                throws IOException

      Throws:
        `IOException`

    - #### encodeHeaderRightIcon

          protected abstract void encodeHeaderRightIcon(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   T menuItem)
                                                 throws IOException

      Throws:
        `IOException`

    - #### encodeTdIcon

          protected void encodeTdIcon(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext context,
                          String cssClass,
                          String attrIconCollapsedValue,
                          String attrIconExpandedValue,
                          org.richfaces.renderkit.util.PanelIcons.State state)
                               throws IOException

      Throws:
        `IOException`

    - #### isIconRendered

          protected boolean isIconRendered(String attrIconValue)

    - #### encodeIdIcon

          protected void encodeIdIcon(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext context,
                          String attrIconValue,
                          String styleClass,
                          org.richfaces.renderkit.util.PanelIcons.State state)
                               throws IOException

      Throws:
        `IOException`

    - #### encodeDivIcon

          public static void encodeDivIcon(javax.faces.context.ResponseWriter writer,
                           org.richfaces.renderkit.util.PanelIcons icon,
                           String styleClass,
                           org.richfaces.renderkit.util.PanelIcons.State state)
                                    throws IOException

      Throws:
        `IOException`

    - #### encodeImage

          public static void encodeImage(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         String attrIconValue,
                         String styleClass)
                                  throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.